package com.ningdatech.pmapi.performance.controller;

import javax.validation.Valid;

import com.ningdatech.pmapi.performance.manage.ReAppraisalManage;
import org.springframework.web.bind.annotation.*;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.performance.manage.OrgSelfAppraisalManage;
import com.ningdatech.pmapi.performance.model.dto.ProjectAppraisalDTO;
import com.ningdatech.pmapi.performance.model.req.PerformanceAppraisalListReq;
import com.ningdatech.pmapi.performance.model.vo.PerformanceAppraisalProjectVO;
import com.ningdatech.pmapi.performance.model.vo.PerformanceAppraisalVO;
import com.ningdatech.pmapi.performance.model.vo.ProjectAppraisalIndexDetailVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;

/**
 * ReAppraisalController
 * @return
 * @author CMM
 * @since 2023/08/10 8:54
 */
@RestController
@RequiredArgsConstructor
@Api(tags = "绩效评价-人工复评")
@RequestMapping("/api/v1/re-appraisal")
public class ReAppraisalController {

    private final ReAppraisalManage reAppraisalManage;

    @GetMapping("/list")
    @ApiOperation("当前复评用户的绩效评价计划列表")
    public PageVo<PerformanceAppraisalVO> list(PerformanceAppraisalListReq req) {
        return reAppraisalManage.list(req);
    }

    //@GetMapping("/pending-list/{planId}")
    //@ApiOperation("当前绩效评价待自评列表")
    //public PageVo<PerformanceAppraisalProjectVO> pendingList(@PathVariable Long planId, PerformanceAppraisalListReq req) {
    //    return selfAppraisalManage.pendingList(planId,req);
    //}
    //
    //@GetMapping("/appraisaled-list/{planId}")
    //@ApiOperation("当前绩效评价已自评列表")
    //public PageVo<PerformanceAppraisalProjectVO> appraisaledList(@PathVariable Long planId,PerformanceAppraisalListReq req) {
    //    return selfAppraisalManage.appraisaledList(planId,req);
    //}
    //
    //@GetMapping("/get-appraisal-template-detail/{projectCode}")
    //@ApiOperation("获取自评模版详情")
    //public ProjectAppraisalIndexDetailVO getAppraisalTemplateDetail(@PathVariable String projectCode){
    //    return selfAppraisalManage.getAppraisalTemplateDetail(projectCode);
    //}
    //
    //@PostMapping("/submit-self-appraisal")
    //@ApiOperation("提交自评")
    //public String submitSelfAppraisal(@Valid @RequestBody ProjectAppraisalDTO param){
    //    return selfAppraisalManage.submitSelfAppraisal(param);
    //}

}
